Bug 240112 - REGRESSION (r291788): MotionMark Suits subtest is 9% regressed
Summary: REGRESSION (r291788): MotionMark Suits subtest is 9% regressed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antti Koivisto
URL:
Keywords: InRadar
Depends on:
Blocks: 230296
  Show dependency treegraph
 
Reported: 2022-05-05 01:08 PDT by Antti Koivisto
Modified: 2022-05-11 13:36 PDT (History)
17 users (show)

See Also:


Attachments
Patch (10.28 KB, patch)
2022-05-11 01:58 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (52.44 KB, patch)
2022-05-11 04:54 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (52.72 KB, patch)
2022-05-11 05:21 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (52.58 KB, patch)
2022-05-11 05:32 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (53.46 KB, patch)
2022-05-11 07:50 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2022-05-05 01:08:02 PDT
This is https://browserbench.org/MotionMark1.2/

Individual subtests can be ran via https://browserbench.org/MotionMark1.2/developer.html
Comment 1 Antti Koivisto 2022-05-05 01:08:27 PDT
rdar://92409900
Comment 2 Nikolas Zimmermann 2022-05-05 13:30:17 PDT
Hmm, that's not a small one... You found this by chance Antti? Or did the patch make you suspicious? :-)
Comment 3 zalan 2022-05-05 13:43:19 PDT
(In reply to Nikolas Zimmermann from comment #2)
> Hmm, that's not a small one... You found this by chance Antti? Or did the
> patch make you suspicious? :-)
We run MM regularly to discover regressions (and progressions).
Comment 4 zalan 2022-05-05 20:06:22 PDT
The Suits subtest is about calling svgElement.setAttribute('transform','translate...". in a repeated manner.

r291788 went from "attribute changed + set needsLayout" to "attribute changed + invalidate style" which is fine as long as the attribute is translated to a RenderStyle property, however SVG transform is special and internal to SVGGraphicsElement and it does not require style invalidation.

Will post a patch soon.
Comment 5 zalan 2022-05-06 08:38:25 PDT
> Will post a patch soon.
or Antti. Probably Antti.
Comment 6 Antti Koivisto 2022-05-11 01:58:40 PDT
Created attachment 459148 [details]
Patch
Comment 7 Antti Koivisto 2022-05-11 04:54:23 PDT
Created attachment 459154 [details]
Patch
Comment 8 Antti Koivisto 2022-05-11 05:21:31 PDT
Created attachment 459156 [details]
Patch
Comment 9 Antti Koivisto 2022-05-11 05:32:37 PDT
Created attachment 459157 [details]
Patch
Comment 10 Antti Koivisto 2022-05-11 07:50:36 PDT
Created attachment 459165 [details]
Patch
Comment 11 zalan 2022-05-11 13:03:07 PDT
Comment on attachment 459165 [details]
Patch

v.nice
Comment 12 EWS 2022-05-11 13:36:15 PDT
Committed r294067 (250469@main): <https://commits.webkit.org/250469@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 459165 [details].